Bug 1032278 - [abrt] gnome-software-3.10.3-1.fc20: get_first_metrics_foreach: Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
[abrt] gnome-software-3.10.3-1.fc20: get_first_metrics_foreach: Process /usr/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fb3dc8a8f8917c68afb12e33e60...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 16:39 EST by f.alexander.wilms
Modified: 2015-06-29 09:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 09:02:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (83.15 KB, text/plain)
2013-11-19 16:39 EST, f.alexander.wilms
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-19 16:39 EST, f.alexander.wilms
no flags Details
File: core_backtrace (49.22 KB, text/plain)
2013-11-19 16:39 EST, f.alexander.wilms
no flags Details
File: dso_list (11.62 KB, text/plain)
2013-11-19 16:39 EST, f.alexander.wilms
no flags Details
File: environ (1.40 KB, text/plain)
2013-11-19 16:39 EST, f.alexander.wilms
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-19 16:39 EST, f.alexander.wilms
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-19 16:39 EST, f.alexander.wilms
no flags Details
File: maps (35.40 KB, text/plain)
2013-11-19 16:39 EST, f.alexander.wilms
no flags Details
File: open_fds (972 bytes, text/plain)
2013-11-19 16:40 EST, f.alexander.wilms
no flags Details
File: proc_pid_status (798 bytes, text/plain)
2013-11-19 16:40 EST, f.alexander.wilms
no flags Details
File: var_log_messages (1.27 KB, text/plain)
2013-11-19 16:40 EST, f.alexander.wilms
no flags Details

  None (edit)
Description f.alexander.wilms 2013-11-19 16:39:23 EST
Version-Release number of selected component:
gnome-software-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-software
crash_function: get_first_metrics_foreach
executable:     /usr/bin/gnome-software
kernel:         3.11.0-300.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_first_metrics_foreach at pango-context.c:1666
 #1 pango_fc_fontset_foreach at pangofc-fontmap.c:1021
 #2 pango_fontset_foreach at pango-fontset.c:107
 #3 get_base_metrics at pango-context.c:1680
 #4 pango_context_get_metrics at pango-context.c:1774
 #5 get_char_pixels at gtklabel.c:3541
 #6 gtk_label_get_preferred_layout_size at gtklabel.c:3580
 #7 gtk_label_get_preferred_size at gtklabel.c:3641
 #8 gtk_label_get_preferred_width at gtklabel.c:3759
 #9 gtk_widget_query_size_for_orientation at gtksizerequest.c:180
Comment 1 f.alexander.wilms 2013-11-19 16:39:31 EST
Created attachment 826318 [details]
File: backtrace
Comment 2 f.alexander.wilms 2013-11-19 16:39:36 EST
Created attachment 826319 [details]
File: cgroup
Comment 3 f.alexander.wilms 2013-11-19 16:39:39 EST
Created attachment 826320 [details]
File: core_backtrace
Comment 4 f.alexander.wilms 2013-11-19 16:39:43 EST
Created attachment 826321 [details]
File: dso_list
Comment 5 f.alexander.wilms 2013-11-19 16:39:46 EST
Created attachment 826322 [details]
File: environ
Comment 6 f.alexander.wilms 2013-11-19 16:39:49 EST
Created attachment 826323 [details]
File: exploitable
Comment 7 f.alexander.wilms 2013-11-19 16:39:53 EST
Created attachment 826324 [details]
File: limits
Comment 8 f.alexander.wilms 2013-11-19 16:39:57 EST
Created attachment 826325 [details]
File: maps
Comment 9 f.alexander.wilms 2013-11-19 16:40:00 EST
Created attachment 826326 [details]
File: open_fds
Comment 10 f.alexander.wilms 2013-11-19 16:40:04 EST
Created attachment 826327 [details]
File: proc_pid_status
Comment 11 f.alexander.wilms 2013-11-19 16:40:07 EST
Created attachment 826328 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-05-29 05:48:46 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 09:02:52 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.